#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'lelangpaket.edit_paket'}
#{/set}

<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{devpartner.PaketDpCtr.index()}">&{'lelangpaket.daftar_paket'} </a>
    <li class="active">&{'lelangpaket.edit_paket'}</li>
</ol>
<div class="content">
#{alert /}
#{stepper steppers /}
#{form @devpartner.PaketDpCtr.simpan(paket?.pkt_id), id:'formTambahPaket', method:'POST', class:'form-horizontal'}
    <input type="hidden" name="step" value="${currentStep}" />
<table class="table table-condensed table-bordered">
<tr>
    <th class="bg-warning" width="20%">&{'lelangpaket.rencana_umum_pengadaan'}</th>
    <td>
        #{rupTableDp paketId:paket.pkt_id, sirups:paket.sirupListForUI, isDraft:paket?.pkt_status?.isDraft() && !isKuppbj && isPpk /}
        #{if isPpk && isTenderUlang}
        <a class="pull-left btn btn-sm btn-default" href="@{devpartner.PaketDpCtr.editRencana(paket.pkt_id)}" >&{'lelangpaket.bah_rup'}</a>
        #{/if}
    </td>
</tr>
<tr>
    <th class="bg-warning">&{'tag.klpd'}</th>
    <td>${paket?.namaInstansi}</td>
</tr>
<tr>
    <th class="bg-warning">&{'lelangpaket.satuan_kerja'}</th>
    <td>${paket?.namaSatker}</td>
</tr>
<tr>
    <th class="bg-warning">&{'lelangpaket.anggaran'}</th>
    <td class="#{errorClass 'paket.ppk'/}">
        #{anggaranTableDp paketId:paket.pkt_id, anggarans:paket.paketAnggarans /}
        <span class="help-block">#{error 'paket.ppk' /}</span>
    </td>
</tr>
<tr>
    <th class="bg-warning">&{'lelangpaket.nama_paket'} <span class="warning">*</span></th>
    <td class="#{errorClass 'paket.pkt_nama'/}">
        #{if paket.isEditableExceptKuppbj()}
            <textarea name="paket.pkt_nama" rows="6" cols="30" class="form-control">${paket.pkt_nama}</textarea>
            <span class="help-block">#{error 'paket.pkt_nama' /}</span>
        #{/if}
        #{else}
        ${paket.pkt_nama}
        #{/else}
    </td>
</tr>
<tr>
    <th class="bg-warning">&{'lelangpaket.nilai_pagu_paket'}</th>
    <td>${paket.paguFormatted}</td>
</tr>
<tr>
    <th class="bg-warning">&{'lelangpaket.lokasi_pekerjaan'}</th>
    <td>
        #{paket.paketLokasiTable locations:paket?.paketLocations,
                allowEditSelect:(!paket.isEditable() || paket.isEditableByKuppbj()),
                isReadOnly:(!paket.isEditable() || paket.isEditableByKuppbj() ||(isKuppbj && !paket?.konsolidasi)),
                allowDeleteLocation:paket?.pkt_status?.isDraft() && !isKuppbj && isPpk /}

        #{if paket?.isEditableExceptKuppbj()}
            <button type="button" class="btn btn-default btn-sm" id="tambahLokasi" value="Tambah Lokasi" ><i class="fa fa-plus-circle"></i> &{'lelangpaket.tambah_lokasi'}</button>
        #{/if}
    </td>
</tr>
</table>
<div class="form-group">
    <div class="col-xs-10">
        #{set 'title'}&{'lelangpaket.daftar_paket'}#{/set}
        #{set 'next'}&{'lelangpaket.selanjutnya'}#{/set}
        #{backButton action:@devpartner.PaketDpCtr.index(), title:title /}
        #{nextButton title:next /}
    </div>
</div>
#{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> &{'lelangpaket.wajib_diisi'}
    </div>
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/javascripts/jquery.maskedinput.min.js' /}"></script>
<script type="text/javascript">
    var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
    $(document).on('change', 'select.propinsi', function(){
        console.log('update')
        var id = $(this).val();
        $.cookie("paket_edit_propinsi_id", id, {expires:365, path:'${request.path}'});
        var kabupaten = $(this).parent().parent().parent().find('select.kabupaten')
        $.getJSON(kabUrl.url({id:id}), function(data){
            var options = '';
            for (var i = 0; i < data.length; i++) {
                options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
            }
            kabupaten.html(options);
            kabupaten.selectpicker('refresh');
        })
    })

    $(document).on('click', '.removeBtn', function(){
        var obj = $(this)
        var value = obj.attr("value");
        if(value > 0) {
            var action = #{jsRoute @devpartner.PaketDpCtr.hapus_lokasi(':id',':lokasiId') /};
            $.get(action.url({id:${paket.pkt_id}, lokasiId:value}), function () {
               // console.log("lokasi berhasil di hapus")
                obj.parent().parent().remove()
            });
        } else {
            obj.parent().parent().remove()
        }
    })

    $("#tambahLokasi").click(function(){
        var options = $('#tblLokasi tr select[name="propinsiId[]"]').html();
        var ind = $('#tblLokasi tr').length - 1
        var prop_id= $.cookie("paket_edit_propinsi_id");
        var addLokasi = '<tr><td><select name="propinsiId[]" class="form-control propinsi" data-live-search="true" data-width="auto">'+options+'</select></td>'+
                '<td><select name="lokasi['+ind+'].kbp_id" class="form-control kabupaten" data-placeholder="pilih kabupaten" data-live-search="true" data-width="auto"></select></td>'+
                '<td><input type="text" class="form-control" name="lokasi['+ind+'].pkt_lokasi" placeholder="Alamat Detail"></td>'+
                '<td><a href="javascript:void(0)" class="removeBtn"><i class="fa fa-trash-o fa-lg"></i></a></td></tr>'
        $("#tblLokasi").append(addLokasi);
        $("select[name='propinsiId[]']").last().prop('selectedIndex',0);
        $('#tblLokasi tr select[name="propinsiId[]"]').selectpicker('refresh');
    })

    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();
    });
</script>
#{/set}
